For the complete documentation index, see llms.txt. This page is also available as Markdown.

Update queue

Update an existing queue

put

Updates a queue and allows replacing its icon using multipart form data.

Path parameters
idstringRequired

The ID of the queue to update.

Body
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
longDescriptionstringOptional

Gets or sets the long description associated with the queue.

shortDescriptionstringOptional

Gets or sets the short description associated with the queue.

externalIdstring · nullableOptional

Gets or sets the optional external identifier associated with the queue.

statusstring · enumOptionalPossible values:
defaultbooleanOptional

Indicates whether this queue is the default queue.

internalbooleanOptional

Indicates whether this queue is internal.

isDeletedbooleanOptional

Indicates whether the queue has been marked as deleted.

Responses
200

OK

application/json
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
longDescriptionstringOptional

Gets or sets the long description associated with the queue.

shortDescriptionstringOptional

Gets or sets the short description associated with the queue.

externalIdstring · nullableOptional

Gets or sets the optional external identifier associated with the queue.

statusstring · enumOptionalPossible values:
defaultbooleanOptional

Indicates whether this queue is the default queue.

internalbooleanOptional

Indicates whether this queue is internal.

isDeletedbooleanOptional

Indicates whether the queue has been marked as deleted.

put/public/v1/helpdesk/queues/{id}

Last updated

Was this helpful?